## 0.9.1 (2023-04-24)

### Bug Fixes

- Correct Dynatrace Developer portal URL [*53dcd279655*]

## 0.9.0 (2023-03-14)

### Features

- Add support for the global `unhandledrejection` and `error` events. [*d1aa120*]
- Update the set of available Web APIs [*21d9b40*]

### Bug Fixes

- Fix an issue when using 'fetch' with a body. PS-6565 [*4276e30*]

### Breaking Changes

- Some Web APIs that were previously available have been removed. These APIs were not commonly used, so this should not affect most existing apps.
- Reference version to the Dynatrace Runtime has been updated to version 1.0.0. Fetch calls targeting the local filesystem (e.g. `fetch('file://...')`) is no longer possible.

## 0.8.3 (2023-02-03)

### Bug Fixes

- Fixed an issue when running API tests on Jest 28.x or later. PS-5720 [*db6c5bb*]

## 0.8.2 (2023-01-05)

### Bug Fixes

- Fix matching against file name to apply source maps. [*47521ce*]

## 0.8.1 (2022-11-30)

- Fix supported runtime version. [*9cc6172*]

## 0.8.0 (2022-11-28)

### Features

- Block internal headers in fetch calls. Implements PS-4259 [*9cc6172*]

### Bug Fixes

- Fix serverless tests failing because of missing test-environment. Fixes ADES-2232 [*65d61e2*]
- Replace node-fetch with undici. Fixes PS-4963 and UIP-2136 [*f8c9eee*]

## 0.7.0 (2022-11-15)

### Bug Fixes

- Fix `File` and `FormData` being undefined in simulator context. PS-4622 [*8d09d68*]

## 0.6.0 (2022-10-24)

### Features

- Add Dt-Dev-App-Id and Dt-Dev-Context headers to fetch. ADES-1690 [*d553e24*]

### Bug Fixes

- Fix dynatrace runtime version. [*03a520a*]

## 0.5.0 (2022-10-17)

### Refactors

- Rename environment variables [*a2ea1e2*], closes ADES-1536.

## 0.4.0 (2022-10-03)

### Features

- Bump runtime version. PS-4006

## 0.3.0 (2022-09-27)

### Features

- Added dynatrace metadata including runtime version. PS-3973 [*86b0002*]

## 0.2.6 (2022-08-31)

### Bug Fixes

- Fixes a bug where runtime tests where not able to run on Node 18. [*b9a5ee7*], fixes APM-385179

## 0.2.5 (2022-08-05)

### Bug Fixes

- Fixes a bug where the dev server was not able to start due to an undefined function [*6957605*], closes APM-383228

## 0.2.4 (2022-07-19)

### Bug Fixes

- Fixes a bug where app state API calls from a serverless function threw an error due to missing ´dt-app-context´ header [*6cb04fa*], closes APM-380892

## 0.2.3 (2022-07-11)

### Bug Fixes

- Fixes missing URLSearchParams in global context, closes APM-373763. [*b5b640d*]

## 0.2.2 (2022-05-23)

### Bug Fixes

- Add missing setInterval & setTimeout to runtime-simulator, fixes APM-371474. [*dec5a51*]

## 0.2.1 (2022-05-10)

- Replace undici with node-fetch [*3ac0bc5*], closes APM-369400.

## 0.2.0 (2022-05-03)

### Features

- Exposes appName for util-serverless package [*6c516e5*], closes APM-368555.
- Apply source maps onto the stack trace in case of an error during the function execution [*082d340*], closes APM-365688.

## 0.1.3 (2022-04-19)

### Bug Fixes

- Fixes a problem with platform requests encoding [*8fbb6a7*], closes APM-364809.

## 0.1.2 (2022-04-12)

### Bug Fixes

- Fixes a fetch polyfill bug where fetch could not fetch local assets [*0ced042*], closes APM-36493.

## 0.1.1 (2022-04-06)

### Features

- Add Jest test framework support for serverless functions [*e1e0580*], closes APM-360532
- Add the @dynatrace/runtime-simulator package [*0f3bec0*]

### Bug Fixes

- Resolve relative paths from app root when fetching local files. Fixes APM-364091. [*e186160*]
